| statusstring | string | One of: success. |
| actionsarray of object | array of object | The chatbot's configured actions. |
| actions[].namestring | string | The name of the action. Only letters, numbers, underscores and hyphens are allowed. |
| actions[].descriptionstring | string | Description of when to trigger the action. |
| actions[].typestring | string | The type of action. Besides api, search, lead and button, actions created in the dashboard can have other types, such as scrape, document, order_tracking, appointment-ui, mcp or workflow_action. |
| actions[].urlstring | string | For API actions, the URL to call. Use {name} placeholders for path parameters. |
| actions[].methodstring | string | For API actions, the HTTP method. One of: GET, POST, PUT, PATCH, DELETE. |
| actions[].headersarray of object | array of object | For API actions, the HTTP headers of the request. |
| actions[].headers[].namestring | string | The name of the header. |
| actions[].headers[].valuestring | string | The value of the header. |
| actions[].pathParamsarray of object | array of object | For API actions, the URL path parameters. |
| actions[].pathParams[].namestring | string | The name of the parameter. |
| actions[].pathParams[].typestring | string | The data type of the parameter. One of: string, number, boolean, array, object. |
| actions[].pathParams[].descriptionstring | string | Description of the parameter. |
| actions[].pathParams[].requiredboolean | boolean | Whether this parameter is required. |
| actions[].pathParams[].staticboolean | boolean | Indicates whether the parameter is static. A static parameter always sends its example value instead of a value generated by the chatbot. |
| actions[].pathParams[].examplestring | string | Stringified example value. For non-string types (number, boolean, array, object), the value should be JSON-parseable. |
| actions[].pathParams[].itemsobject | object | For array types, describes the array items. |
| actions[].pathParams[].items.namestring | string | The name of the property. |
| actions[].pathParams[].items.typestring | string | The data type of the property. One of: string, number, boolean, array, object. |
| actions[].pathParams[].items.descriptionstring | string | Description of the property. |
| actions[].pathParams[].items.requiredboolean | boolean | Whether this property is required. |
| actions[].pathParams[].items.itemsobject | object | |
| actions[].pathParams[].items.propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].pathParams[].propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].pathParams[].properties[].namestring | string | The name of the property. |
| actions[].pathParams[].properties[].typestring | string | The data type of the property. One of: string, number, boolean, array, object. |
| actions[].pathParams[].properties[].descriptionstring | string | Description of the property. |
| actions[].pathParams[].properties[].requiredboolean | boolean | Whether this property is required. |
| actions[].pathParams[].properties[].itemsobject | object | |
| actions[].pathParams[].properties[].propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].queryParamsarray of object | array of object | For API actions, the URL query parameters. |
| actions[].queryParams[].namestring | string | The name of the parameter. |
| actions[].queryParams[].typestring | string | The data type of the parameter. One of: string, number, boolean, array, object. |
| actions[].queryParams[].descriptionstring | string | Description of the parameter. |
| actions[].queryParams[].requiredboolean | boolean | Whether this parameter is required. |
| actions[].queryParams[].staticboolean | boolean | Indicates whether the parameter is static. A static parameter always sends its example value instead of a value generated by the chatbot. |
| actions[].queryParams[].examplestring | string | Stringified example value. For non-string types (number, boolean, array, object), the value should be JSON-parseable. |
| actions[].queryParams[].itemsobject | object | For array types, describes the array items. |
| actions[].queryParams[].items.namestring | string | The name of the property. |
| actions[].queryParams[].items.typestring | string | The data type of the property. One of: string, number, boolean, array, object. |
| actions[].queryParams[].items.descriptionstring | string | Description of the property. |
| actions[].queryParams[].items.requiredboolean | boolean | Whether this property is required. |
| actions[].queryParams[].items.itemsobject | object | |
| actions[].queryParams[].items.propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].queryParams[].propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].queryParams[].properties[].namestring | string | The name of the property. |
| actions[].queryParams[].properties[].typestring | string | The data type of the property. One of: string, number, boolean, array, object. |
| actions[].queryParams[].properties[].descriptionstring | string | Description of the property. |
| actions[].queryParams[].properties[].requiredboolean | boolean | Whether this property is required. |
| actions[].queryParams[].properties[].itemsobject | object | |
| actions[].queryParams[].properties[].propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].bodyParamsarray of object | array of object | For API actions, the request body parameters. |
| actions[].bodyParams[].namestring | string | The name of the parameter. |
| actions[].bodyParams[].typestring | string | The data type of the parameter. One of: string, number, boolean, array, object. |
| actions[].bodyParams[].descriptionstring | string | Description of the parameter. |
| actions[].bodyParams[].requiredboolean | boolean | Whether this parameter is required. |
| actions[].bodyParams[].staticboolean | boolean | Indicates whether the parameter is static. A static parameter always sends its example value instead of a value generated by the chatbot. |
| actions[].bodyParams[].examplestring | string | Stringified example value. For non-string types (number, boolean, array, object), the value should be JSON-parseable. |
| actions[].bodyParams[].itemsobject | object | For array types, describes the array items. |
| actions[].bodyParams[].items.namestring | string | The name of the property. |
| actions[].bodyParams[].items.typestring | string | The data type of the property. One of: string, number, boolean, array, object. |
| actions[].bodyParams[].items.descriptionstring | string | Description of the property. |
| actions[].bodyParams[].items.requiredboolean | boolean | Whether this property is required. |
| actions[].bodyParams[].items.itemsobject | object | |
| actions[].bodyParams[].items.propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].bodyParams[].propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].bodyParams[].properties[].namestring | string | The name of the property. |
| actions[].bodyParams[].properties[].typestring | string | The data type of the property. One of: string, number, boolean, array, object. |
| actions[].bodyParams[].properties[].descriptionstring | string | Description of the property. |
| actions[].bodyParams[].properties[].requiredboolean | boolean | Whether this property is required. |
| actions[].bodyParams[].properties[].itemsobject | object | |
| actions[].bodyParams[].properties[].propertiesarray of object | array of object | For object types, describes the object's properties. |
| actions[].includeImagesboolean | boolean | For search actions, whether to include images in the results. Defaults to true. |
| actions[].prioritizeRecentResultsboolean | boolean | For search actions, whether to prioritize recent results. |
| actions[].enableDateRestrictionboolean | boolean | For search actions, whether to enable the date restriction. |
| actions[].includedDomainsarray of string | array of string | For search actions, the domains to restrict the web search to, as full URLs (for example https://www.example.com). Leave empty to search all domains. |
| actions[].linkstring | string | For button actions, the link the button opens. Required for button actions. |
| actions[].labelstring | string | For button actions, the button label. Required for button actions. |
| actions[].enabledboolean | boolean | Whether the action is enabled. New actions are enabled unless this is false. |
| actions[].indexinteger | integer | The position of the action in the chatbot's action list (0-based). |
| actions[].return_fileboolean | boolean | Whether the action returns a file. |